<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/officity/factory/releasenotes/ReleaseNotesList.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
	require_once(dirname(__FILE__).'/include.php');

	$_GET['module'] = 'officity:releasenote'; // for XSLT
	
	/* *** */
  
    $QUICKSEARCH_TEXT = $_POST['quicksearch-text'];

    $nql = new Officity_Shell();

    $release = new Officity_ReleasenoteElement();
	$release->addSearchInfo('SEARCHTEXT', 'MATCH', $QUICKSEARCH_TEXT);

    $release->addSharedResourcesCommands($nql); // resources needed for display
    $release->setDisplayProfile(); // return needed for display
        
    $release->setDefaultPaginate(URLParam::fetch('display', 50), URLParam::fetch('page', 1));
    
    if (URLParam::exists('appID'))
    {
    	$release->setDependencyByName('officity:releasenoteApps', 'APP', URLParam::fetch('appID'));
    }

    $release->search('list', false);
    $search_command = $release->getNQLCommand();
    $nql->addCommand($search_command);

    $nql->addPaging();
    
    echo $nql->transform(dirname(__FILE__).'/ReleaseNotesList.xsl');
?>